com.lowagie.text.pdf

## Class PdfTransparencyGroup

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfTransparencyGroup

-     public class PdfTransparencyGroup
      extends PdfDictionary

  The transparency group dictionary.
  Author:
    Paulo Soares (psoares@consiste.pt)

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfTransparencyGroup()` Constructs a transparencyGroup.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setIsolated(boolean isolated)` Determining the initial backdrop against which its stack is composited.
    `void` | `setKnockout(boolean knockout)` Determining whether the objects within the stack are composited with one another or only with the group's backdrop.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfTransparencyGroup

          public PdfTransparencyGroup()

      Constructs a transparencyGroup.

  - ### Method Detail

    - #### setIsolated

          public void setIsolated(boolean isolated)

      Determining the initial backdrop against which its stack is composited.
      Parameters:
        `isolated` -

    - #### setKnockout

          public void setKnockout(boolean knockout)

      Determining whether the objects within the stack are composited with one another or only with the group's backdrop.
      Parameters:
        `knockout` -